Bug 657840 - unhandled exception occurs when try open or install software - most likely a bug
Summary: unhandled exception occurs when try open or install software - most likely a bug
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut
Version: 8
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-28 12:27 UTC by natalie mckenna
Modified: 2010-12-03 14:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-02 14:05:22 UTC


Attachments (Terms of Use)

Description natalie mckenna 2010-11-28 12:27:29 UTC
Description of problem:


- error happens when trying to open downloaded packages or open system- add/remove
software

a window appears when attempting to open software saying -

An unhandled exception has occurred.  This is most likely a bug.  Please save
the crash dump and file a detailed bug report against pirut at
https://bugzilla.redhat.com/bugzilla


Component: pirut
Summary: TB76714bb2 config.py:80:__set__:ValueError: Error parsing '7d':
invalid integer value

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 476, in <module>
    main()
  File "/usr/sbin/pirut", line 469, in main
    pm = PackageManager(options.config, options.onlyrepo)
  File "/usr/sbin/pirut", line 63, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 129, in
__init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 113, in
doConfigSetup
    errorlevel=errorlevel)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 164, in
_getConfig
    self.getReposFromConfig()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 237, in
getReposFromConfig
    thisrepo = self.readRepoConfig(parser, section)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 259, in
readRepoConfig
    repo.populate(parser, section, self.conf)
  File "/usr/lib/python2.5/site-packages/yum/config.py", line 376, in populate
    setattr(self, name, value)
  File "/usr/lib/python2.5/site-packages/yum/config.py", line 80, in __set__
    raise ValueError('Error parsing %r: %s' % (value, str(e)))
ValueError: Error parsing '7d': invalid integer value

Local variables in innermost frame:
obj: spotify
self: <yum.config.IntOption object at 0x853c1cc>
e: invalid integer value
value: 7d

[reply] [-] Comment 1 natalie mckenna 2010-11-24 08:09:52 EST

a window appears when attempting to open software saying 

An unhandled exception has occurred.  This is most likely a bug.  Please save
the crash dump and file a detailed bug report against pirut at
https://bugzilla.redhat.com/bugzilla

Component: pirut
Summary: TB76714bb2 config.py:80:__set__:ValueError: Error parsing '7d':
invalid integer value

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 476, in <module>
    main()
  File "/usr/sbin/pirut", line 469, in main
    pm = PackageManager(options.config, options.onlyrepo)
  File "/usr/sbin/pirut", line 63, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 129, in
__init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 113, in
doConfigSetup
    errorlevel=errorlevel)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 164, in
_getConfig
    self.getReposFromConfig()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 237, in
getReposFromConfig
    thisrepo = self.readRepoConfig(parser, section)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 259, in
readRepoConfig
    repo.populate(parser, section, self.conf)
  File "/usr/lib/python2.5/site-packages/yum/config.py", line 376, in populate
    setattr(self, name, value)
  File "/usr/lib/python2.5/site-packages/yum/config.py", line 80, in __set__
    raise ValueError('Error parsing %r: %s' % (value, str(e)))
ValueError: Error parsing '7d': invalid integer value

Local variables in innermost frame:
obj: spotify
self: <yum.config.IntOption object at 0x853c1cc>
e: invalid integer value
value: 7d

Comment 1 James Antill 2010-11-29 16:32:45 UTC
Is this really "Fedora 6"??

It looks like you have a newer yum.conf than the version of yum supports.

What does the following say:

rpm -q yum pirut

Comment 2 natalie mckenna 2010-12-02 12:05:00 UTC
sorry, clicked wrong fedora version!

[user@localhost ~]$ rpm -q yum pirut
yum-3.2.7-1.fc8
pirut-1.3.25-2.fc8

Comment 3 James Antill 2010-12-02 14:05:22 UTC
Fedora 8 is still very old, and has been EOL for ~18 months. Fedora 12 is almost EOL.

To work around the problem you can go into /etc/yum.repos.d and look for the new .repo file which has "7d" in it, and replace it with "604800".
 However, Fedora 8 will still be buggy and insecure given it's age without any support. Doing an install of Fedora 14 is probably the easiest thing to fix the machine completely.

Comment 4 natalie mckenna 2010-12-03 11:56:44 UTC
thank you for your help!
 
downloaded fedora 14 however new problem posed as the aspire one can't open file "/mnt/home/Downloads/Fedora-14-i686-Live-Desktop.iso"  as the archive format is not recognised on xarchiver 0.4.9svn-r

Comment 5 James Antill 2010-12-03 14:17:46 UTC
That's a CD image, I don't think you want to open it in an "archive" program. Follow the instructions on the Fedora website for making a CD (should be available where you downloaded it). Or just buy a CD/DVD from somewhere.


Note You need to log in before you can comment on or make changes to this bug.